server:
  port: 9501
spring:
  datasource:
    url: jdbc:mysql://122.112.224.199:3306/huimv-ruian?useUnicode=true&characterEncoding=UTF-8&useSSL=false&autoReconnect=true&serverTimezone=Asia/Shanghai
    username: root
    password: hm123456
    driver-class-name: com.mysql.cj.jdbc.Driver
  jpa:
    #    hibernate:
    #      ddl-auto: update  #validate
    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
    show-sql: true
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 1000MB
    # jackson时间格式化
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  mvc:
    view:
      prefix: /
      suffix: .html
  main:
    allow-bean-definition-overriding: true
#  redis:
#    database: 0
#    host: 124.71.192.190
#    port: 6379
#    password: hm123456
#    jedis:
#      pool:
#        max-active: 20
#        max-wait: -1
#        max-idle: 10
#        min-idle: 0
#    timeout: 5000

# mybatis-plus相关配置
mybatis-plus:
  type-aliases-package: com.huimv.*.entity
  global-config:
    banner: false
    db-config:
      id-type: auto
  #原生配置
  configuration:
    map-underscore-to-camel-case: true
    cache-enabled: false
    call-setters-on-nulls: true
    jdbc-type-for-null: 'null'
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl